import { PropsWithChildren } from "react";
import { Platform } from "react-native";
import { ColorSchemeSystem } from "./style-sheet-store";
export interface TailwindProviderProps {
    styles?: typeof globalThis["tailwindcss_react_native_style"];
    media?: typeof globalThis["tailwindcss_react_native_media"];
    initialColorScheme?: ColorSchemeSystem;
    platform?: typeof Platform.OS | "native";
    webOutput?: "css" | "native";
    nativeOutput?: "css" | "native";
}
export declare function TailwindProvider({ styles, media, initialColorScheme, webOutput, nativeOutput, children, }: PropsWithChildren<TailwindProviderProps>): JSX.Element;
