"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useColorScheme = void 0;
const react_1 = require("react");
const style_sheet_store_1 = require("./style-sheet-store");
function useColorScheme() {
    const store = (0, react_1.useContext)(style_sheet_store_1.StoreContext);
    const colorScheme = (0, react_1.useSyncExternalStore)(store.subscribeColorScheme, store.getColorScheme);
    return {
        colorScheme,
        setColorScheme: store.setColorScheme,
        toggleColorScheme: store.toggleColorScheme,
    };
}
exports.useColorScheme = useColorScheme;
