"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withClassNames = void 0;
const isComponentRegex = /(?:^|\s)(component)(?:$|\s)/gi;
const isParentRegex = /(?:^|\s)(parent)(?:$|\s)/gi;
function withClassNames({ baseClassName, propClassName, baseTw, twClassName, componentProps, propsToTransform = [], spreadProps = [], classProps = [], }) {
    var _a, _b;
    const className = [
        (_a = baseTw !== null && baseTw !== void 0 ? baseTw : baseClassName) !== null && _a !== void 0 ? _a : "",
        (_b = twClassName !== null && twClassName !== void 0 ? twClassName : propClassName) !== null && _b !== void 0 ? _b : "",
    ]
        .filter(Boolean)
        .join(" ");
    const isComponent = isComponentRegex.test(className);
    const isParent = isParentRegex.test(className);
    const allClasses = [className];
    for (const prop of [...propsToTransform, ...spreadProps, ...classProps]) {
        const componentProp = componentProps[prop];
        if (typeof componentProp === "string") {
            allClasses.push(componentProp);
        }
    }
    return {
        className,
        allClasses: allClasses.join(" "),
        isComponent,
        isParent,
    };
}
exports.withClassNames = withClassNames;
