"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withStyledChildren = void 0;
const react_1 = require("react");
const react_is_1 = require("react-is");
function withStyledChildren({ componentChildren, store, stylesArray, parentHover, parentFocus, parentActive, }) {
    if (!stylesArray.childStyles) {
        return componentChildren;
    }
    const children = (0, react_is_1.isFragment)(componentChildren)
        ? // This probably needs to be recursive
            componentChildren.props.children
        : componentChildren;
    return react_1.Children.map(children, (child, index) => {
        const style = store.getChildStyles(stylesArray, {
            nthChild: index + 1,
            parentHover,
            parentFocus,
            parentActive,
        });
        if (!style || style.length === 0) {
            return child;
        }
        return child.props.style
            ? (0, react_1.cloneElement)(child, { style: [child.props.style, style] })
            : (0, react_1.cloneElement)(child, { style });
    });
}
exports.withStyledChildren = withStyledChildren;
