"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withStyledProps = exports.ChildClassNameSymbol = void 0;
const react_native_1 = require("react-native");
const use_tailwind_1 = require("./use-tailwind");
exports.ChildClassNameSymbol = Symbol("tailwind-child");
function withStyledProps({ propsToTransform = [], componentProps, classProps = [], preprocessed, }) {
    const styledProps = {};
    const additionalStyles = [];
    for (const prop of classProps) {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        const stylesArray = (0, use_tailwind_1.useTailwind)(componentProps[prop]);
        if (stylesArray.length === 0) {
            continue;
        }
        styledProps[prop] = undefined;
        if (preprocessed) {
            additionalStyles.push(...stylesArray);
        }
        else {
            for (const [key, value] of Object.entries(react_native_1.StyleSheet.flatten(stylesArray))) {
                styledProps[key] = value;
            }
        }
    }
    for (const prop of propsToTransform) {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        const stylesArray = (0, use_tailwind_1.useTailwind)(componentProps[prop]);
        if (stylesArray.length === 0) {
            continue;
        }
        styledProps[prop] = react_native_1.StyleSheet.flatten(stylesArray);
    }
    return {
        ...componentProps,
        ...styledProps,
        additionalStyles,
    };
}
exports.withStyledProps = withStyledProps;
